%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define kdedir %prefix

Name: kpacman
Version: 0.3.2
Release: alt3

Group: Games/Arcade
Summary: Clone of the popular 80's game
URL: http://kpacman.sourceforge.net
License: GPL

Source0: %name-%version.tar.bz2
Source1: kpacman-ru.po
Patch1: kpacman-0.3.1-highScoreHack.patch
Patch2: kpacman-0.3.2-fix_exec.patch

Requires: kdelibs

# Automatically added by buildreq on Tue Sep 30 2003 (-bi)
#BuildRequires: ImageMagick XFree86-devel-static XFree86-libs boson fontconfig freetype2 gcc-c++ kde-settings kdegames-devel kdegames-libs kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexif libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxml2 libxslt qt3-designer xml-utils zlib-devel

BuildRequires: ImageMagick XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ kde-settings kdegames-devel kdegames-libs kdelibs-devel libGLU libart_lgpl-devel
BuildRequires: libarts-devel libaudio libexif libexpat libjpeg-devel liblcms libmng libpng-devel
BuildRequires: libqt3-devel libstdc++-devel libxml2 libxslt qt3-designer xml-utils zlib-devel

%description
KDE version popular 80's Pac Man game.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

install -m644 %SOURCE1 po/ru.po

make -f Makefile.dist

%build
export QTDIR=%qtdir
export KDEDIR=%kdedir
export LDFLAGS=-L$QTDIR/lib
export CXXFLAGS="%optflags" CFLAGS="%optflags"
%configure \
	    --enable-shared \
	    --disable-static \
	    --disable-rpath \
	    --program-transform-name="" \
	    --with-xinerama

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot/%_gamesbindir
mv %buildroot/%_bindir/%name %buildroot/%_gamesbindir
mkdir -p -m755 %buildroot/var/lib/games/kpacman
touch %buildroot/var/lib/games/kpacman/highScore

# icons
mkdir -p %buildroot/%_miconsdir %buildroot/%_iconsdir %buildroot/%_liconsdir %buildroot/%_iconsdir/locolor/48x48/apps
convert -geometry 48x48 %buildroot/%_iconsdir/locolor/32x32/apps/kpacman.png %buildroot/%_iconsdir/locolor/48x48/apps/kpacman.png
ln -s ../locolor/16x16/apps/kpacman.png %buildroot/%_miconsdir/kpacman.png
ln -s ./locolor/32x32/apps/kpacman.png %buildroot/%_iconsdir/kpacman.png
ln -s ../locolor/48x48/apps/kpacman.png %buildroot/%_liconsdir/kpacman.png

# menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Amusement/Arcade  %buildroot%_datadir/applnk/Games/%name.desktop %buildroot/%_menudir/%name

%find_lang %name


%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%doc %_docdir/HTML/en/%name
%lang(de) %doc %_docdir/HTML/de/%name
#
%attr(2711, root, games) %_gamesbindir/%name
%_datadir/apps/%name
%_datadir/config/%{name}rc
%_iconsdir/*/*/apps/kpacman.png
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
#
%dir /var/lib/games/kpacman/
%attr(664, games, games) %config(noreplace) %_localstatedir/games/%name/highScore
#
%_datadir/applnk/Games/kpacman.desktop
%_menudir/*

%changelog
* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.2-alt3
- fix run program
  thanks ldv@altlinux

* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.2-alt2
- add Russian translation

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.2-alt1
- new version
- fix build requires

* Thu Feb 27 2003 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt4
- fix icons

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt3
- rebuild with gcc3.2

* Sat Apr 27 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt2
- build with KDE3

* Thu Feb 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt1
- new version
- clean .spec

* Tue Oct 16 2001 Sergey V Turchin <zerg@altlinux.ru> 0.2.6-alt1
- new version
- fixed bug #0000065

* Mon May 21 2001 Sergey V Turchin <zerg@altlinux.ru> 0.2.5-ipl10mdk
- clean .spec

* Fri May 18 2001 Sergey V Turchin <zerg@altlinux.ru> 0.2.5-ipl9mdk
- fix write highScore to /var/lib/games

* Mon Dec 11 2000 AEN <aen@logic.ru>
- fix requires
- build for RE

* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 0.2.5-7mdk
- removed internationnalisation

* Tue Sep 12 2000 Etienne Faure  <etienne@mandraksoft.com> 0.2.5-6mdk
- rebuild with new lib path

* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-5mdk
- merge menu file with spec

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-4mdk
- disable rpath

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-3mdk
- clean specfile
- fix files section

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.
